# memcached
A client for Memcached, a distributed memory caching system

[![Build Status](https://github.com/svenvc/Memcached/workflows/Build/badge.svg?branch=master)](https://github.com/svenvc/Memcached/actions?query=workflow%3ABuild)
[![Coverage Status](https://codecov.io/github/svenvc/Memcached/coverage.svg?branch=master)](https://codecov.io/gh/svenvc/Memcached/branch/master)
[![Pharo 7.0](https://img.shields.io/badge/Pharo-7.0-informational)](https://pharo.org)
[![Pharo 8.0](https://img.shields.io/badge/Pharo-8.0-informational)](https://pharo.org)
[![Pharo 9.0](https://img.shields.io/badge/Pharo-9.0-informational)](https://pharo.org)
[![Pharo 10](https://img.shields.io/badge/Pharo-10-informational)](https://pharo.org)

## About
- https://en.wikipedia.org/wiki/Memcached
- http://memcached.org

## Installation

To load the project in a Pharo image, or declare it as a dependency of your own project follow this [instructions](docs/Installation.md).

## Acknowledgements
The original project can be found at http://www.squeaksource.com/memcached.html

As far as I can see it was written by Philippe Marschall and Ramon Leon. I ported the codebase to Pharo. This repository is a recent copy with some cleanups.
